<div class="container">
  <br>
  <br>
  <div *ngIf="statusCode; else processing">
    <div *ngIf="statusCode >= 200 &&  statusCode < 300" [ngClass]="'success'">
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <strong>Success!</strong>
        <span *ngIf="statusCode === 201" [ngClass]="'success'">
          Project added successfully.
        </span>
        <span *ngIf="statusCode === 200" [ngClass]="'success'">
          Project updated successfully.
        </span>
        <span *ngIf="statusCode === 204" [ngClass]="'success'">
          Project deleted successfully.
        </span>
      </div>
    </div>
    <div *ngIf="statusCode >= 400" [ngClass]="'error'">
      <div class="alert alert-danger alert-dismissible fade show" role="alert">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <strong>Error!</strong>
        <span *ngIf="statusCode === 409" [ngClass]="'success'">
          Project already exists.
        </span>
        <span *ngIf="statusCode === 500" [ngClass]="'success'">
          Internal Server Error.
        </span>
      </div>
    </div>
  </div>
  <div class="row" *ngIf='projects && projects.length == 0'>
    <div class="col-md-12">
      <h3 class="text-center text-danger">There is no project</h3>
    </div>
  </div>
  <div class="row" *ngIf='projects && projects.length'>
    <div class="col-md-12">
      <h3 class="text-center">Projects list</h3>
    </div>
  </div>
  <br>
  <div class="col-md-12 text-center">
    <div class="table-responsive">
      <table class="table table-hover" *ngIf='projects && projects.length'>
        <thead class="thead-dark">
          <tr>
            <th style="width: 10%">Id</th>
            <th>Project name</th>
            <th>Project description</th>
            <th>Assign to department</th>
            <th style="width: 10%"></th>
            <th style="width: 10%"></th>
            <th style="width: 10%"></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor='let project of projects'>
            <td style="width: 10%">{{project.projectId}}</td>
            <td>{{project.projectName}}</td>
            <td>{{project.projectDescription}}</td>
            <td>{{project.department.departmentId}}</td>
            <td style="width: 10">
              <a class="btn btn-info btn-block" href="/persons">Details</a>
            </td>
            <td style="width: 10%">
              <button class="btn btn-warning btn-block" type="button" (click)="loadProjectToEdit(project.projectId)">Edit</button>
            </td>
            <td style="width: 10">
              <button class="btn btn-danger btn-block" type="button" (click)="deleteProject(project.projectId)">Delete</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
  <hr>
  <div class="row">
    <div class="col-md-4 offset-md-4">
      <button type="button" class="btn btn-primary btn-block" (click)="showForm()">Add project</button>
    </div>
  </div>
  <hr *ngIf="showFormValue">
  <div class="row" *ngIf="showFormValue">
    <div class="col-md-6 offset-md-3">
      <h4 class="text-center">Add/Update project</h4>
      <form [formGroup]="projectForm" (ngSubmit)="onProjectFormSubmit()">
        <div class="form-group">
          <label for="projectId">Id project:</label>
          <input type="text" class="form-control" id="projectId" formControlName="projectId">
          <small *ngIf="projectForm.get('projectId').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Id
            project is required.</small>
        </div>
        <div class="form-group">
          <label for="projectName">Project name:</label>
          <input type="text" class="form-control" id="projectName" formControlName="projectName">
          <small *ngIf="projectForm.get('projectName').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Project
            name is required.</small>
        </div>
        <div class="form-group">
          <label for="projectDescription">Project description:</label>
          <input type="text" class="form-control" id="projectDescription" formControlName="projectDescription">
          <small *ngIf="projectForm.get('projectDescription').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Project
            description is required.</small>
        </div>
        <div class="form-group">
          <label for="departmentId">Id of department to assign:</label>
          <input type="text" class="form-control" id="departmentId" formControlName="departmentId">
          <small *ngIf="projectForm.get('departmentId').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Project
            description is required.</small>
        </div>
        <button type="submit" class="btn btn-success" *ngIf="!projectIdToUpdate">Create</button>
        <button type="submit" class="btn btn-success" *ngIf="projectIdToUpdate">Update</button>
        <button type="submit" class="btn btn-danger" (click)="backToCreateProject()" *ngIf="projectIdToUpdate">Cancel</button>
      </form>
    </div>
  </div>
  <br>
  <br>
</div>
